Loading...
Searching...
No Matches
RDKit::CIPLabeler::Configuration Class Referenceabstract

`#include <Configuration.h>`

Inheritance diagram for RDKit::CIPLabeler::Configuration:

## Public Member Functions

| Configuration ()=delete
| Configuration (const CIPMol &mol, Atom *focus)
| Configuration (const CIPMol &mol, std::vector< Atom * > &&foci)
virtual | ~Configuration ()
Atom * | getFocus () const
const std::vector< Atom * > & | getFoci () const
const std::vector< Atom * > & | getCarriers () const
Digraph & | getDigraph ()
virtual Descriptor | label (Node *node, Digraph &digraph, const Rules &comp)
virtual Descriptor | label (const Rules &comp)=0
virtual void | setPrimaryLabel (Descriptor desc)=0

## Static Public Member Functions

template<typename T >
static int | parity4 (const std::vector< T > &trg, const std::vector< T > &ref)

## Protected Member Functions

Edge * | findInternalEdge (const std::vector< Edge * > &edges, Atom *f1, Atom *f2)
bool | isInternalEdge (const Edge *edge, Atom *f1, Atom *f2)
void | removeInternalEdges (std::vector< Edge * > &edges, Atom *f1, Atom *f2)
void | setCarriers (std::vector< Atom * > &&carriers)

## Detailed Description

Definition at line 29 of file Configuration.h.

## Constructor & Destructor Documentation

## Configuration() [1/3]

RDKit::CIPLabeler::Configuration::Configuration | ( |  | ) |

delete

## Configuration() [2/3]

RDKit::CIPLabeler::Configuration::Configuration | ( | const CIPMol & | mol,
|  | Atom * | focus
| ) |  |

## Configuration() [3/3]

RDKit::CIPLabeler::Configuration::Configuration | ( | const CIPMol & | mol,
|  | std::vector< Atom * > && | foci
| ) |  |

## ~Configuration()

virtual RDKit::CIPLabeler::Configuration::~Configuration | ( |  | ) |

virtual

## Member Function Documentation

## findInternalEdge()

Edge * RDKit::CIPLabeler::Configuration::findInternalEdge | ( | const std::vector< Edge * > & | edges,
|  | Atom * | f1,
|  | Atom * | f2
| ) |  |

protected

## getCarriers()

const std::vector< Atom * > & RDKit::CIPLabeler::Configuration::getCarriers | ( |  | ) | const

## getDigraph()

Digraph & RDKit::CIPLabeler::Configuration::getDigraph | ( |  | ) |

## getFoci()

const std::vector< Atom * > & RDKit::CIPLabeler::Configuration::getFoci | ( |  | ) | const

## getFocus()

Atom * RDKit::CIPLabeler::Configuration::getFocus | ( |  | ) | const

## isInternalEdge()

bool RDKit::CIPLabeler::Configuration::isInternalEdge | ( | const Edge * | edge,
|  | Atom * | f1,
|  | Atom * | f2
| ) |  |

protected

## label() [1/2]

virtual Descriptor RDKit::CIPLabeler::Configuration::label | ( | const Rules & | comp | ) |

pure virtual

Implemented in RDKit::CIPLabeler::Sp2Bond, and RDKit::CIPLabeler::Tetrahedral.

## label() [2/2]

virtual Descriptor RDKit::CIPLabeler::Configuration::label | ( | Node * | node,
|  | Digraph & | digraph,
|  | const Rules & | comp
| ) |  |

virtual

Reimplemented in RDKit::CIPLabeler::Tetrahedral, and RDKit::CIPLabeler::Sp2Bond.

## parity4()

template<typename T >

static int RDKit::CIPLabeler::Configuration::parity4 | ( | const std::vector< T > & | trg,
|  | const std::vector< T > & | ref
| ) |  |

inline static

Definition at line 32 of file Configuration.h.

References RDKit::rdvalue_is().

## removeInternalEdges()

void RDKit::CIPLabeler::Configuration::removeInternalEdges | ( | std::vector< Edge * > & | edges,
|  | Atom * | f1,
|  | Atom * | f2
| ) |  |

protected

## setCarriers()

void RDKit::CIPLabeler::Configuration::setCarriers | ( | std::vector< Atom * > && | carriers | ) |

protected

## setPrimaryLabel()

virtual void RDKit::CIPLabeler::Configuration::setPrimaryLabel | ( | Descriptor | desc | ) |

pure virtual

Implemented in RDKit::CIPLabeler::Sp2Bond, and RDKit::CIPLabeler::Tetrahedral.

The documentation for this class was generated from the following file:

- Configuration.h